@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --bg-primary: #0f1e35;
  --bg-secondary: #d33e48;
  --bg-btn: linear-gradient(90deg, #d33f49, #fe7575);
}

body {
  min-height: 100vh;
  width: 100%;
  font-family: "Poppins", sans-serif;
  font-size: 15px;
}

.tabs {
  display: flex;
  border-radius: 10px;
  gap: 5px;
  background-color: var(--bg-secondary);
  border: 1px solid #ff8890;
}
.allBtn {
  background-image: var(--bg-btn);
}
.allBtn:hover {
  background-image: linear-gradient(90deg, #b3333b, #fa6d6d);
}
.tab {
  min-width: 68px;
  min-height: 66px;
  text-decoration: none;
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  padding: 0 5px;
  cursor: pointer;
  transition: all 0.3s;
}
.tab:hover {
  min-width: 68px;
  min-height: 66px;
  text-decoration: none;
  color: var(--bg-secondary);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  padding: 0 5px;
  background-color: rgb(241, 241, 241);
}
button.tab.active {
  min-width: 68px;
  min-height: 66px;
  background-color: rgb(241, 241, 241);
  color: var(--bg-secondary);
  border-radius: 8px;
  padding: 0 5px;
}
.roted {
  transform: rotate(42deg);
}

.tab-content {
  display: none;
  padding: 15px 15px;
}

.scrolling {
  width: 100%;
  overflow-x: scroll;
}
.tabwrapper {
  overflow-x: scroll;
}
.tabwrapper::-webkit-scrollbar {
  display: none;
}
.scrolling::-webkit-scrollbar {
  display: none;
}

.authItem {
  display: flex;
  right: 0;
}
.videoModalActive {
  top: 50%;
}

@media (max-width: 768px) {
  .scrolling {
    white-space: nowrap;
  }
  .tab {
    padding: 5px 10px;
    min-width: unset;
  }
  .tab:hover {
    background-color: white;
    padding: 5px 15px;
    color: var(--bg-secondary);
    border-radius: 10px;
  }
  button.tab.active {
    background-color: white;
    padding: 5px 15px;
    color: var(--bg-secondary);
    border-radius: 10px;
  }
}

/* video modal css */

.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

.modal-container {
  background-color: #fff;
  border-radius: 4px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
  position: absolute;
}

.modal-title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
}

.modal-description {
  font-size: 16px;
  margin-bottom: 10px;
}

.modal-close {
  padding: 2px 10px;
  border-radius: 4px;
  cursor: pointer;
  font-size: 22px;
}
.ratio {
  width: 800px;
  height: 550px;
}
.ratio iframe {
  width: 100%;
  height: 100%;
}
.modalBtn {
  position: absolute;
  top: 0;
  right: 0;
}

/* tab two css */

.tab2 {
  display: inline-block;
  padding: 8px 20px;
  cursor: pointer;
  background-color: var(--bg-primary);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  font-size: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  color: white;
}

.tab2.active {
  background-color: white;
  padding: 8px 20px;
  color: var(--bg-primary);
  border-top: 2px solid var(--bg-primary);
}
.tab2.active i {
  color: var(--bg-secondary);
}

.content2 {
  display: none;
  padding: 10px;
}

.content2.active {
  display: block;
}

/* input cheked css */

.radiomodal {
  z-index: 9999;
}

.radiomodalOverlay {
  transition: opacity 0.3s;
}

.radiomodal-content {
  width: 65%;
  margin: 0 auto;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 0;
}

@media (max-width: 1023px) {
  .radiomodal-content {
    width: 80%;
    height: 70%;
    margin: 0 auto;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    padding: 0;
    overflow-y: scroll;
  }
}

.modal-close {
  border: none;
  cursor: pointer;
  background: var(--bg-primary);
  width: 40px;
  height: 40px;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  border: 1px solid var(--bg-primary);
}

/* vcard modal starts */

.vcardmodal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.vcardcontent {
  background-color: #fefefe;
  margin: auto;
  border: 1px solid #888;
  width: 65%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
}

@media (max-width: 1024px) {
  .vcardcontent {
    height: 70%;
    overflow-y: scroll;
    width: 90%;
  }
  .modal-container {
    margin: 10px;
  }
}

.vcardclose {
  color: white;
  float: right;
  font-size: 20px;
  cursor: pointer;
  position: absolute;
  top: 5px;
  right: 5px;
  width: 30px;
  height: 30px;
  background-color: var(--bg-primary);
  border-radius: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--bg-primary);
}

/* vcard modal ends */

/* template css starts */
.templateImgContainer {
  overflow-x: scroll;
  scroll-behavior: smooth;
}
.wrappertemplateImgContainer {
  overflow-x: scroll;
  overflow-y: hidden;
  scroll-behavior: smooth;
  position: relative;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.wrappertemplateImgContainer::before {
  content: "";
  display: block;
  width: 40px;
  height: 190px;
  background: rgb(255, 255, 255);
  background: linear-gradient(
    270deg,
    rgba(255, 255, 255, 0) 50%,
    rgba(255, 255, 255, 1) 100%
  );
  position: absolute;
  left: 0px;
  top: 0;
  z-index: 4;
}
.wrappertemplateImgContainer::after {
  content: "";
  display: block;
  width: 40px;
  height: 190px;
  background: rgb(255, 255, 255);
  background: linear-gradient(
    270deg,
    rgba(255, 255, 255, 1) 50%,
    rgba(255, 255, 255, 0) 100%
  );
  position: absolute;
  right: 0px;
  top: 0;
  z-index: 0;
}
.wrappertemplateImgContainer::-webkit-scrollbar {
  display: none;
}
.templateImgContainer::-webkit-scrollbar {
  display: none;
}
.page_template_card {
  width: 105px;
  border-radius: 8px;
  background-color: #ddd;
  margin-right: 1rem;
  position: relative;
  cursor: pointer;
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .page_template_card {
    width: 80px;
  }
}

.page_template_card img {
  width: 100%;
  height: 100%;
}
.page_template_card .overlay {
  background-color: #33333394;
  width: 100%;
  height: 100%;
  border-radius: 8px;
  position: absolute;
  display: none;
}
.page_template_card .overlay .card_tick {
  width: 25px;
  height: 25px;
  background: #fff;
  border-radius: 50%;
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #00b0ff;
}
.page_template_card.imgactive .overlay {
  display: block;
}

div#tab2-content {
  padding: 0;
  margin-top: 15px;
}
.noise {
  background: #021d48;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  height: 15px;
  left: 50%;
  transform: translate(-50%);
  position: absolute;
  width: 150px;
}

/* template css ends */

/* input toggle switch starts */

#slider {
  transition: 0.4s;
}

#slider::before {
  position: absolute;
  content: "";
  height: 12px;
  width: 12px;
  left: 18px;
  top: 2px;
  transition: 0.4s;
  background: white;
  border-radius: 50%;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
}

input:checked + #slider {
  background: gray;
}

input:checked + #slider:before {
  transform: translateX(-16px);
}
/* input toggle switch ends */

/* socail icons css starts */
.socailicons {
  overflow-x: auto;
  width: 100%;
  scroll-behavior: smooth;
}
.socailicons::-webkit-scrollbar {
  display: none;
}
/* socail icons css ends */

@media (max-width: 1024px) {
  .mobile {
    left: 0% !important;
    position: fixed;
    z-index: 100;
    width: 300px;
  }
}
@media (max-width: 860px) {
  .root {
    height: 400px;
  }
  .ratio {
    width: 500px;
    height: 400px;
  }
  .modal-close {
    font-size: 20px;
  }
}
@media (max-width: 530px) {
  .root {
    height: 300px;
  }
  .ratio {
    width: 100%;
    height: 100%;
  }
  .modal-close {
    font-size: 20px;
  }
}

/*  */

.qrcustom-tab {
  padding: 10px;
  background-color: #e9e9e9;
  cursor: pointer;
  border: none;
  outline: none;
  border-radius: 3px;
}

.qractive {
  background-color: var(--bg-primary);
  color: #fff;
}

.qrcustom-content {
  display: none;
}

.qractive {
  display: block;
}

.show {
  display: flex !important;
}
.videoShow {
  display: flex !important;
}

.act {
  border: solid 1px #4d77fa;
  position: relative;
}
.act::after {
  content: "✔️";
  position: absolute;
  top: -5px;
  left: -5px;
  background: #fff;
  color: #4d77fa;
  border-radius: 30px;
  padding: 3px 0 0 3px;
  font-size: 6px;
  width: 16px;
  height: 16px;
  font-family: "icomoon";
  border: solid 1px #4d77fa;
}
.activebtn {
  background-color: #dae0e5;
}
.addbtnactive {
  display: flex;
  z-index: 100;
}
@media (max-width: 420px) {
  .templateMain {
    width: 95%;
  }
}

/* upload & megabites responsive css */

::-webkit-scrollbar-thumb {
  background-color: rgb(207, 207, 207);
  height: 5px;
  border-radius: 20px;
}

::-webkit-scrollbar {
  width: 5px;
}

.activeViewColor {
  border: 2px solid #0dbc29;
}

.themplatesss {
  overflow-x: scroll !important;
  width: 100%;
  scroll-behavior: smooth;
}

.themplatesss::-webkit-scrollbar {
  display: none;
}
.mobilelinkItems::-webkit-scrollbar {
  display: none;
}

.active_navbar {
  transition: all 0.3s ease-in-out;
}

.navbarActive {
  background-color: var(--bg-primary);
  position: sticky;
  top: 0;
  z-index: 100;
}

/* logo slide animation css */
.slider {
  overflow: hidden;
  position: relative;
  display: flex;
  white-space: nowrap;
}
.slider:hover .slide-track {
  animation-play-state: paused;
}
.slide-track {
  -webkit-animation: scroll 30s linear infinite;
  animation: scroll 30s linear infinite;
  display: flex;
  gap: 30px;
}
.slide {
  height: auto;
  width: 160px;
}
.slide img {
  height: 100%;
  width: 100%;
  /* border-radius: 10px;
  border: 2px solid #bbbbbb; */
}
@-webkit-keyframes scroll {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}

@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-250px * 7));
  }
}

.gallery img {
  cursor: pointer;
}

.gallery-modal {
  display: none;
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}

.gallery-modal-content {
  margin: auto;
  display: block;
  max-width: 90%;
  max-height: 90%;
}

.gallery-close {
  color: white;
  font-size: 25px;
  font-weight: bold;
  position: absolute;
  top: 10px;
  right: 20px;
  cursor: pointer;
}

@media (min-width: 640px) {
  button.gallery-prev {
    position: absolute;
    bottom: 8%;
    left: 46%;
  }
  button.gallery-next {
    position: absolute;
    bottom: 8%;
    right: 46%;
  }
}

@media (max-width: 639px) {
  button.gallery-prev {
    position: absolute;
    bottom: 8%;
    left: 40%;
  }
  button.gallery-next {
    position: absolute;
    bottom: 8%;
    right: 40%;
  }
}

.timeboxshow {
  display: flex;
}
.timeboxshow2 {
  display: flex;
}
